# coding: utf-8
import os
import sys

from pip.download import PipSession
from pip.req.req_file import parse_requirements
from setuptools import setup, find_packages


def _get_requirements(file_name):
    pip_session = PipSession()
    requirements = parse_requirements(file_name, session=pip_session)

    return tuple(str(requirement.req) for requirement in requirements)


def main():
    setup(
        name='educommon',
        author="BARS Group",
        author_email='education_dev@bars-open.ru',
        description='Общая кодовая база для проектов БЦ Образование',
        url='https://stash.bars-open.ru/projects/EDUBASE/repos/educommon',
        package_dir={'': 'src'},
        packages=find_packages('src'),
        include_package_data=True,
        dependency_links=(
            'http://pypi.bars-open.ru/simple/m3-builder',
        ),
        setup_requires=(
            'm3-builder>=1.0.1',
        ),
        install_requires=_get_requirements('requirements.txt'),
        set_build_info=os.path.join(
            os.path.dirname(__file__), 'src', 'educommon'
        ),
    )


if __name__ == '__main__':
    main()
